<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides Reseller Payment functions
 *
 * @package    Payment
 * @category   Controllers/Reseller
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Reseller_Payment extends Controller_Payment {
	protected $secure_actions = array(
		'list'=>TRUE,
	);

	/**
	 * Show a list of payments
	 */
	public function action_list() {
		Block::factory()
			->title('Customer Payments')
			->title_icon('icon-th-list')
			->body(Table::factory()
				->page_items(50)
				->data(ORM::factory('Payment')->where_authorised($this->ao)->find_all())
				->columns(array(
					'id'=>'ID',
					'date_payment'=>'Date',
					'checkout->display("name")'=>'Method',
					'total(TRUE)'=>'Total',
					'balance(TRUE)'=>'Balance',
					'invoicelist()'=>'Invoices',
					'account->accnum()'=>'Cust ID',
					'account->name()'=>'Customer',
				))
				->prepend(array(
					//'id'=>array('url'=>URL::link('reseller','payment/edit/')), //@todo To Implement
				))
			);
	}
}
?>
